from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.classify.classify(model="meetkai:functionary-urdu-mini-pak", text="I absolutely love this product! Best purchase ever.", labels=[
"positive",
"negative",
"neutral",
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.classify.classify({
classificationRequest: {
model: "meetkai:functionary-urdu-mini-pak",
text: "I absolutely love this product! Best purchase ever.",
labels: [
"positive",
"negative",
"neutral",
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Classify.ClassifyAsync(body: new ClassificationRequest() {
Model = "meetkai:functionary-urdu-mini-pak",
Text = "I absolutely love this product! Best purchase ever.",
Labels = new List<string>() {
"positive",
"negative",
"neutral",
},
});
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/classify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "meetkai:functionary-urdu-mini-pak",
"text": "I absolutely love this product! Best purchase ever.",
"labels": [
"positive",
"negative",
"neutral"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'meetkai:functionary-urdu-mini-pak',
text: 'I absolutely love this product! Best purchase ever.',
labels: ['positive', 'negative', 'neutral']
})
};
fetch('https://apigw.mka1.com/api/v1/llm/classify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"label": "positive",
"confidence": 0.92,
"reasoning": "The text expresses strong enthusiasm with phrases like 'absolutely love' and 'best purchase ever'."
},
"metadata": {
"model": "meetkai:functionary-urdu-mini-pak",
"labels": [
"positive",
"negative",
"neutral"
],
"classifiedAt": "2024-01-15T10:30:00Z"
}
}Classificar texto em categorias pré-definidas
Classifica o conteúdo do texto em uma das etiquetas pré-definidas fornecidas.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.classify.classify(model="meetkai:functionary-urdu-mini-pak", text="I absolutely love this product! Best purchase ever.", labels=[
"positive",
"negative",
"neutral",
])
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.classify.classify({
classificationRequest: {
model: "meetkai:functionary-urdu-mini-pak",
text: "I absolutely love this product! Best purchase ever.",
labels: [
"positive",
"negative",
"neutral",
],
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Classify.ClassifyAsync(body: new ClassificationRequest() {
Model = "meetkai:functionary-urdu-mini-pak",
Text = "I absolutely love this product! Best purchase ever.",
Labels = new List<string>() {
"positive",
"negative",
"neutral",
},
});
// handle responseAutorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cabeçalhos
Optional external end-user identifier forwarded by the API gateway.
Corpo
Parâmetros de solicitação para classificação de texto. O modelo irá analisar o texto e atribuí-lo a um dos rótulos fornecidos.
ID do modelo a ser utilizado para classificação. Você pode usar o formato provider:model ou apenas o nome do modelo com um provedor padrão.
1O conteúdo do texto a ser classificado. Não deve estar vazio.
1Array de possíveis rótulos de classificação. Devem conter pelo menos 2 rótulos. O modelo escolherá um desses rótulos para atribuir ao texto.
21Prompt do sistema personalizado opcional para guiar a classificação. Use isso para fornecer contexto ou instruções adicionais ao modelo sobre como realizar a classificação.
Resposta
OK
Resposta do endpoint de classificação de texto contendo o resultado da classificação, confiança e metadados.
Esta página foi útil?